"""adding_threat_log_table

Revision ID: fa7b0ba6dfe9
Revises: 3d3043c35991
Create Date: 2021-02-23 13:32:14.746750

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = 'fa7b0ba6dfe9'
down_revision = '3d3043c35991'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.execute('create schema if not exists logs')
    op.create_table('threat_logs',
    sa.Column('id', postgresql.UUID(as_uuid=True), nullable=False),
    sa.Column('ip_address', sa.String(length=50), nullable=False),
    sa.Column('email', sa.String(length=140), nullable=False),
    sa.Column('threat_type', sa.String(length=50), nullable=True),
    sa.Column('created_on', sa.DateTime(timezone=True), nullable=True),
    sa.PrimaryKeyConstraint('id'),
    schema='logs'
    )
    op.create_index('idx_threat_logs_ip_address', 'threat_logs', ['ip_address'], unique=False, schema='logs')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index('idx_threat_logs_ip_address', table_name='threat_logs', schema='logs')
    op.drop_table('threat_logs', schema='logs')
    op.execute('drop schema if exists logs')
    # ### end Alembic commands ###
